<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Transaction Page</title>
</head>
<body>
<h1>Transaction Page</h1>

<form th:action="@{/transaction/process}" method="post" enctype="application/json">

    <label for="trxType">Transaction Type:</label>
    <select id="trxType" name="trxType">
        <option value="SETOR_TUNAI">Setor Tunai</option>
        <option value="TARIK_TUNAI">Tarik Tunai</option>
    </select>

    <label for="nominal">Nominal :</label>
    <input type="number" id="nominal" name="nominal">

    <label for="userId">User ID:</label>
    <input type="text" id="userId" name="userId">

    <button type="submit">Submit</button>
</form>

<h2>List of Transactions</h2>
<table border="1">
    <tr>
        <th>Date</th>
        <th>Nominal</th> <
        <th>Type</th>
    </tr>
    <tr th:each="transaction : ${transactions}">
        <td th:text="${#dates.format(transaction.tanggal, 'dd/MM/yyyy HH:mm:ss')}">Date</td>
        <td th:text="${transaction.nominal}">Nominal</td>
        <td th:text="${transaction.tipe}">Type</td>
    </tr>
</table>

</body>
</html>
